from peewee import SqliteDatabase
from peewee import Model
from peewee import MySQLDatabase
import json

mysql_creds = json.load(open("./creds.json"))

sqlite = SqliteDatabase("cfd.sqlite", pragmas={'foreign_keys': 1})
sqlite.connect()
#sqlite = MySQLDatabase(mysql_creds["db"], user=mysql_creds["user"], password=mysql_creds['password'],
#                         host=mysql_creds['host'], port=int(mysql_creds['port']),)


class BaseModel(Model):

    class Meta():
        database = sqlite

from model.base import Question, Answer, Submit

sqlite.create_tables([Question, Answer, Submit])