from peewee import IntegerField, CharField, ForeignKeyField

from model import BaseModel

class Question(BaseModel):
        
        text = CharField()

class Submit(BaseModel):

    token = CharField()

class Answer(BaseModel):

    text = CharField()
    question = ForeignKeyField(Question, backref="answers")
    submit = ForeignKeyField(Submit, backref="answers")
